import React__default from 'react';
import useWizardController from './useWizardController.js';

var WizardContext = /*#__PURE__*/React__default.createContext();
var WizardContext$1 = /*#__PURE__*/React__default.memo(function (_ref) {
  var children = _ref.children,
      stepsMap = _ref.stepsMap,
      stepPaths = _ref.stepPaths,
      initialStep = _ref.initialStep,
      initialPath = _ref.initialPath,
      initialState = _ref.initialState;
  var controller = useWizardController({
    stepsMap: stepsMap,
    stepPaths: stepPaths,
    initialStep: initialStep,
    initialPath: initialPath,
    initialState: initialState
  });
  return /*#__PURE__*/React__default.createElement(WizardContext.Provider, {
    value: controller
  }, children);
});

export { WizardContext, WizardContext$1 as default };
//# sourceMappingURL=WizardContext.js.map
